[
	// "Default Lifecycle", "crstatus", "severity"
	// - Map status into phases
	// - Map severity to sort values
	// - Weight results cells
	// - Weighted cells use style ecp_mr_weighted
	// - Set title
	// - Set row and column name
	// - Result has 2 decimal digits
	{
		// Attribute information
		"lifecycle":"デフォルト・ライフサイクル",
		"row":"crstatus",
		"column":"severity",
		// Transformation
		"rowMapping":
			{
				"初期":["提出", "提出と重複"],
				"分析":["分析中", "分析", "分析中と重複", "分析と重複"],
				"解決":["解決中", "解決", "解決中と重複", "解決と重複"],
				"評価版":["評価中", "評価", "評価中と重複", "評価と重複"],
				"クローズ":["完了", "完了と重複", "将来リリース", "将来リリースと重複", "再現不可能", "再現不可能と重複", "受け入れ拒否", "受け入れ拒否と重複"],
				"その他":["分析失敗", "分析失敗と重複", "重複", "評価失敗", "評価失敗と重複", "保留中", "保留中と重複", "解決失敗", "解決失敗と重複"]
			},
		"columnMapping":
			{
				"未設定":["未設定"],
				"軽微":["軽微"],
				"中太線":["中太線"],
				"重大":["重大"],
				"最重要":["最重要"]
			},
		"weights":
			[
				// Not Set, Minor, Medium, Sever, Showstopper
				[1.0,       1.1,   1.2,    1.3,   1.4],    // Initial
				[2.0,       2.1,   2.2,    2.3,   2.4],    // Analysis
				[3.0,       3.1,   3.2,    3.3,   3.4],    // Resolution
				[4.0,       4.1,   4.2,    4.3,   4.4],    // Evaluation
				[5.0,       5.1,   5.2,    5.3,   5.4],    // Closed
				[6.0,       6.1,   6.2,    6.3,   6.4]     // Other
			],
		// Output
		"weightCellStyle":"ecp_mr_weighted",
		"mapErrorStyle":"ecp_mr_header_map_error",
		"タイトル":"変更依頼の重要度 (ウェイト付き)",
		"rowTitle":"フェーズ",
		"columnTitle":"重要度",
		"digits":2
	},
	// As above for "Requirements Change Management Lifecycle"
	{
		// Attribute information
		"ライフサイクル":"要求変更管理ライフサイクル",
		"row":"crstatus",
		"column":"severity",
		// Transformation
		"columnMapping":
			{
				"未設定":["未設定"],
				"軽微":["軽微"],
				"中太線":["中太線"],
				"重大":["重大"],
				"最重要":["最重要"]
			},
		"weights":
			[
				// Not Set, Minor, Medium, Sever, Showstopper
				[1.0,       1.1,   1.2,    1.3,   1.4],    // rcr_created
				[2.0,       2.1,   2.2,    2.3,   2.4],    // rcr_assigned
				[3.0,       3.1,   3.2,    3.3,   3.4],    // rcr_review
				[4.0,       4.1,   4.2,    4.3,   4.4],    // rcr_approved
				[5.0,       5.1,   5.2,    5.3,   5.4],    // rcr_applied
				[6.0,       6.1,   6.2,    6.3,   6.4]     // rcr_rejected
			],
		// Output
		"weightCellStyle":"ecp_mr_weighted",
		"mapErrorStyle":"ecp_mr_header_map_error",
		"タイトル":"要求変更依頼の重要度 (ウェイト付き)",
		"rowTitle":"状態",
		"columnTitle":"重要度",
		"digits":2
	},
	// "Default Lifecycle", "crstatus", "priorty"
	// - Map status into phases
	// - Suppress title
	// - Result has 1 decimal digit
	{
		// Attribute information
		"ライフサイクル":"デフォルト・ライフサイクル",
		"row":"crstatus",
		"column":"priority",
		// Transformation
		"rowMapping":
			{
				"初期":["提出", "提出と重複"],
				"分析":["分析中", "分析", "分析中と重複", "分析と重複"],
				"解決":["解決中", "解決", "解決中と重複", "解決と重複"],
				"評価版":["評価中", "評価", "評価中と重複", "評価と重複"],
				"クローズ":["完了", "完了と重複", "将来リリース", "将来リリースと重複", "再現不可能", "再現不可能と重複", "受け入れ拒否", "受け入れ拒否と重複"],
				"その他":["分析失敗", "分析失敗と重複", "重複", "評価失敗", "評価失敗と重複", "保留中", "保留中と重複", "解決失敗", "解決失敗と重複"]
			},
		// Output
		"title":"",
		"digits":1
	},
	// "", "priority", "severity"
	// - Use column mapping to sort severity from showstopper to not set
	// - Suppress title
	{
		// Attribute information
		"lifecycle":"",
		"row":"priority",
		"column":"severity",
		// Transformation
		"columnMapping":
			{
				"最重要":["最重要"],
				"重大":["重大"],
				"中太線":["中太線"],
				"軽微":["軽微"],
				"未設定":["未設定"]
			},
		// Output
		"title":""
	},
	// "", "caused_during", "discovered_during"
	// - Map caused_during into phases
	// - Map discovered_during into phases
	{
		// Attribute information
		"lifecycle":"",
		"row":"caused_during",
		"column":"discovered_during",
		// Transformation
		"rowMapping":
			{
				"初期":["構想 (初期フェーズ)", "要求収集 (初期フェーズ)"],
				"分析":["要求分析 (分析フェーズ)", "OO 分析および設計 (分析フェーズ)"],
				"解決":["実装 (解決フェーズ)", "ビルド (解決フェーズ)"],
				"評価版":["統合テスト (評価フェーズ)", "パッケージ化 (評価フェーズ)", "パフォーマンス・テスト (評価フェーズ)", "システム・テスト (評価フェーズ)", "ユーザー受け入れテスト (評価フェーズ)"],
				"クローズ":["製品 (クローズ・フェーズ)"]
			},
		"columnMapping":
			{
				"初期":["構想 (初期フェーズ)", "要求収集 (初期フェーズ)"],
				"分析":["要求分析 (分析フェーズ)", "OO 分析および設計 (分析フェーズ)"],
				"解決":["実装 (解決フェーズ)", "ビルド (解決フェーズ)"],
				"評価版":["統合テスト (評価フェーズ)", "パッケージ化 (評価フェーズ)", "パフォーマンス・テスト (評価フェーズ)", "システム・テスト (評価フェーズ)", "ユーザー受け入れテスト (評価フェーズ)"],
				"クローズ":["製品 (クローズ・フェーズ)"]
			},
		// Output
		"mapErrorStyle":"ecp_mr_header_map_error",
		"digits":1
	}
]
