[
	// "Default Lifecycle", "crstatus", "severity"
	// - Map status into phases
	// - Map severity to sort values
	// - Weight results cells
	// - Weighted cells use style mr_weighted
	// - Set title
	// - Set row and column name
	// - Result has 2 decimal digits
	{
		// Attribute information
		"lifecycle":"デフォルト・ライフサイクル",
		"row":"crstatus",
		"column":"severity",
		// Transformation
		"rowMapping":
			{
				"登録":["登録"],
				"割り当て":["割り当て"],
				"解決":["解決"],
				"完了":["完了"],
				"据え置き":["保留中"],
				"重複":["重複"],				
				"レビュー中":["レビュー中"],
				"対処済み":["対処済み"],
				"受け入れ拒否":["受け入れ拒否"]
			},
		"columnMapping":
			{
				"未設定":["未設定"],
				"軽微":["軽微"],
				"中太線":["中太線"],
				"重大":["重大"],
				"最重要":["最重要"]
			},				 
		"weights":
			[
				// Not Set, Minor, Medium, Sever, Showstopper
				[1.0,       1.1,   1.2,    1.3,   1.4],    // Entered
				[2.0,       2.1,   2.2,    2.3,   2.4],    // Assigned
				[3.0,       3.1,   3.2,    3.3,   3.4],    // Resolved
				[4.0,       4.1,   4.2,    4.3,   4.4],    // Concluded
				[5.0,       5.1,   5.2,    5.3,   5.4],    // Deferred
				[6.0,       6.1,   6.2,    6.3,   6.4],    // Duplicate
				[7.0,       7.1,   7.2,    7.3,   7.4],    // In Review
				[8.0,       8.1,   8.2,    8.3,   8.4],    // Obsolete
				[9.0,       9.1,   9.2,    9.3,   9.4]    // Probreject				
			],
		// Output
		"weightCellStyle":"mr_weighted",
		"mapErrorStyle":"mr_header_map_error",
		"title":"変更依頼の重要度 (ウェイト付き)",
		"rowTitle":"状態",
		"columnTitle":"重要度",
		"digits":2
	},	
	// "Default Lifecycle", "crstatus", "priorty"
	// - Map status into phases
	// - Suppress title
	// - Result has 1 decimal digit
	{
		// Attribute information
		"lifecycle":"デフォルト・ライフサイクル",
		"row":"crstatus",
		"column":"priority",
		// Transformation
		"rowMapping":			
			{
				"登録":["登録"],
				"割り当て":["割り当て"],
				"解決":["解決"],
				"完了":["完了"],
				"据え置き":["保留中"],
				"重複":["重複"],				
				"レビュー中":["レビュー中"],
				"対処済み":["対処済み"],
				"受け入れ拒否":["受け入れ拒否"]
			},		
		// Output
		"title":"",
		"digits":1
	},
	// "", "priority", "severity"
	// - Use column mapping to sort severity from showstopper to not set
	// - Suppress title
	{
		// Attribute information
		"lifecycle":"",
		"row":"priority",
		"column":"severity",
		// Transformation
		"columnMapping":
		
			{
				"最重要":["最重要"],
				"重大":["重大"],
				"中太線":["中太線"],
				"軽微":["軽微"],
				"未設定":["未設定"]
			},
		
		// Output
		"title":""
	}
]
