[
	// "Default Lifecycle", "crstatus", "severity"
	// - Map status into phases
	// - Map severity to sort values
	// - Weight results cells
	// - Weighted cells use style mr_weighted
	// - Set title
	// - Set row and column name
	// - Result has 2 decimal digits
	{
		// Attribute information
		"lifecycle":"缺省生命周期",
		"row":"crstatus",
		"column":"severity",
		// Transformation
		"rowMapping":
			{
				"已输入":["已输入"],
				"已分配":["已分配"],
				"已解决":["已解决"],
				"已做出结论":["已做出结论"],
				"已延期":["已延期"],
				"重复":["重复"],				
				"复审中":["复审中"],
				"已过时":["已过时"],
				"问题已被拒绝":["问题已被拒绝"]
			},
		"columnMapping":
			{
				"未设置":["未设置"],
				"轻微":["轻微"],
				"中等":["中等"],
				"严重":["严重"],
				"障碍":["障碍"]
			},				 
		"weights":
			[
				// Not Set, Minor, Medium, Sever, Showstopper
				[1.0,       1.1,   1.2,    1.3,   1.4],    // Entered
				[2.0,       2.1,   2.2,    2.3,   2.4],    // Assigned
				[3.0,       3.1,   3.2,    3.3,   3.4],    // Resolved
				[4.0,       4.1,   4.2,    4.3,   4.4],    // Concluded
				[5.0,       5.1,   5.2,    5.3,   5.4],    // Deferred
				[6.0,       6.1,   6.2,    6.3,   6.4],    // Duplicate
				[7.0,       7.1,   7.2,    7.3,   7.4],    // In Review
				[8.0,       8.1,   8.2,    8.3,   8.4],    // Obsolete
				[9.0,       9.1,   9.2,    9.3,   9.4]    // Probreject				
			],
		// Output
		"weightCellStyle":"mr_weighted",
		"mapErrorStyle":"mr_header_map_error",
		"title":"变更请求严重性（加权）",
		"rowTitle":"状态",
		"columnTitle":"严重性",
		"digits":2
	},	
	// "Default Lifecycle", "crstatus", "priorty"
	// - Map status into phases
	// - Suppress title
	// - Result has 1 decimal digit
	{
		// Attribute information
		"lifecycle":"缺省生命周期",
		"row":"crstatus",
		"column":"priority",
		// Transformation
		"rowMapping":			
			{
				"已输入":["已输入"],
				"已分配":["已分配"],
				"已解决":["已解决"],
				"已做出结论":["已做出结论"],
				"已延期":["已延期"],
				"重复":["重复"],				
				"复审中":["复审中"],
				"已过时":["已过时"],
				"问题已被拒绝":["问题已被拒绝"]
			},		
		// Output
		"title":"",
		"digits":1
	},
	// "", "priority", "severity"
	// - Use column mapping to sort severity from showstopper to not set
	// - Suppress title
	{
		// Attribute information
		"lifecycle":"",
		"row":"priority",
		"column":"severity",
		// Transformation
		"columnMapping":
		
			{
				"障碍":["障碍"],
				"严重":["严重"],
				"中等":["中等"],
				"轻微":["轻微"],
				"未设置":["未设置"]
			},
		
		// Output
		"title":""
	}
]
